kitten-query-terminal(1)

Name
kitten-query-terminal - Query the terminal for various capabilities

Usage
kitten query-terminal [options] [query1 query2 ...]

Description
Query the terminal this kitten is run in for various capabilities. This sends escape codes to the terminal and based on its response prints out data about supported capabilities. Note that this is a blocking operation, since it has to wait for a response from the terminal. You can control the maximum wait time via the --wait-for option. The output is lines of the form::
    query: data If a particular query is unsupported by the running kitty version, the data will be blank. Note that when calling this from another program, be very careful not to perform any I/O on the terminal device until this kitten exits. Available queries are: name:
  Terminal name (e.g. xterm-kitty) version:
  Terminal version (e.g. 0.48.0) allow_hyperlinks:
  The config option allow_hyperlinks in kitty.conf for allowing hyperlinks can be yes, no or ask font_family:
  The current font's PostScript name bold_font:
  The current bold font's PostScript name italic_font:
  The current italic font's PostScript name bold_italic_font:
  The current bold-italic font's PostScript name font_size:
  The current font size in pts dpi_x:
  The current DPI on the x-axis dpi_y:
  The current DPI on the y-axis foreground:
  The current foreground color as a 24-bit # color code background:
  The current background color as a 24-bit # color code background_opacity:
  The current background opacity as a number between 0 and 1 clipboard_control:
  The config option clipboard_control in kitty.conf for allowing reads/writes to/from the clipboard os_name:
  The name of the OS the terminal is running on. kitty returns values: bsd, linux, macos, unknown

Options

--wait-for [=10]
    The amount of time (in seconds) to wait for a response from the terminal, after querying it.

--help, -h [=no]
    Show help for this command